Package com.sap.ai.sdk.foundationmodels.openai.generated.model

# Enum Class CreateChatCompletionResponseChoicesInner.FinishReasonEnum

java.lang.Object
java.lang.Enum<CreateChatCompletionResponseChoicesInner.FinishReasonEnum>
com.sap.ai.sdk.foundationmodels.openai.generated.model.CreateChatCompletionResponseChoicesInner.FinishReasonEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<CreateChatCompletionResponseChoicesInner.FinishReasonEnum>`, `Constable`

Enclosing class:
  `CreateChatCompletionResponseChoicesInner`

public static enum CreateChatCompletionResponseChoicesInner.FinishReasonEnum extends Enum<CreateChatCompletionResponseChoicesInner.FinishReasonEnum>
The reason the model stopped generating tokens. This will be `stop` if the model hit a natural stop point or a provided stop sequence, `length` if the maximum number of tokens specified in the request was reached, `content_filter` if content was omitted due to a flag from our content filters, `tool_calls` if the model called a tool, or `function_call` (deprecated) if the model called a function.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CONTENT_FILTER`
  The CONTENT_FILTER option of this CreateChatCompletionResponseChoicesInner
  `FUNCTION_CALL`
  The FUNCTION_CALL option of this CreateChatCompletionResponseChoicesInner
  `LENGTH`
  The LENGTH option of this CreateChatCompletionResponseChoicesInner
  `STOP`
  The STOP option of this CreateChatCompletionResponseChoicesInner
  `TOOL_CALLS`
  The TOOL_CALLS option of this CreateChatCompletionResponseChoicesInner
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this CreateChatCompletionResponseChoicesInner

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CreateChatCompletionResponseChoicesInner.FinishReasonEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static CreateChatCompletionResponseChoicesInner.FinishReasonEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CreateChatCompletionResponseChoicesInner.FinishReasonEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STOP

    public static final CreateChatCompletionResponseChoicesInner.FinishReasonEnum STOP
    The STOP option of this CreateChatCompletionResponseChoicesInner

  - ### LENGTH

    public static final CreateChatCompletionResponseChoicesInner.FinishReasonEnum LENGTH
    The LENGTH option of this CreateChatCompletionResponseChoicesInner

  - ### TOOL_CALLS

    public static final CreateChatCompletionResponseChoicesInner.FinishReasonEnum TOOL_CALLS
    The TOOL_CALLS option of this CreateChatCompletionResponseChoicesInner

  - ### CONTENT_FILTER

    public static final CreateChatCompletionResponseChoicesInner.FinishReasonEnum CONTENT_FILTER
    The CONTENT_FILTER option of this CreateChatCompletionResponseChoicesInner

  - ### FUNCTION_CALL

    public static final CreateChatCompletionResponseChoicesInner.FinishReasonEnum FUNCTION_CALL
    The FUNCTION_CALL option of this CreateChatCompletionResponseChoicesInner

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final CreateChatCompletionResponseChoicesInner.FinishReasonEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this CreateChatCompletionResponseChoicesInner

- ## Method Details

  - ### values

    public static CreateChatCompletionResponseChoicesInner.FinishReasonEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CreateChatCompletionResponseChoicesInner.FinishReasonEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<CreateChatCompletionResponseChoicesInner.FinishReasonEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static CreateChatCompletionResponseChoicesInner.FinishReasonEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type CreateChatCompletionResponseChoicesInner